notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Want a good monitor light? See my photosAll times are UTC
Ukraine
non port: audio/gstreamer1-plugins-mad/Makefile

Number of commits found: 11

Monday, 4 Jan 2016
14:21 kwm search for other commits by this committer
Update GStreamer1 to 1.6.2.
Update GStreamer1-vaapi to 0.7.0.

* Spell GStreamer consistently. [1]
* Fix typo in py3kplist in py3-gstreamer1 [1]
* Improve plugins COMMENTS (more improvements welcome)
* Actually include the gstreamer1-libav update this time.

PR:		204204 [1] (based on)
Submitted by:	olivierd@ [1]
Original commitRevision:405242 
Monday, 22 Dec 2014
10:22 kwm search for other commits by this committer
Update Gstreamer framework to 1.4.5.
Original commitRevision:375225 
Wednesday, 17 Dec 2014
21:14 antoine search for other commits by this committer
Fix 41 gstreamer1-plugins- ports that were creating empty packages

With hat:	portmgr
Original commitRevision:374874 
Monday, 8 Dec 2014
16:48 tijl search for other commits by this committer
Replace USES=libtool:oldver with USES=libtool or USES=libtool:keepla in
the 32 ports that still use it.  Bump PORTREVISION on their dependent
ports except the ones that depend on these:

audio/libogg
audio/libvorbis
devel/pcre
ftp/curl
graphics/jpeg
graphics/libart_lgpl
graphics/tiff
textproc/expat2
textproc/libxslt

In these cases the same trick as in the recent gettext update is used.
The ports install a symlink with the old library version.  When enough
of their dependent ports have had regular updates the remaining ones can
get a PORTREVISION bump and the links can be removed.

Also remove the devel/pcre dependency from USE_GNOME=glib20.  It causes
over 2200 packages to depend on devel/pcre while less than 200 actually
link with it.  The glib20 package still depends on devel/pcre so this
should not make a difference for ports with USE_GNOME=glib20.  Also,
libdata/pkgconfig/glib-2.0.pc lists pcre as a private library so
USE_GNOME=glib20 should not propagate it.

PR:		195724
Exp-run by:	antoine
Approved by:	portmgr (antoine)
Original commitRevision:374303 
Wednesday, 23 Apr 2014
14:22 tijl search for other commits by this committer
Update gstreamer 1.0 ports to version 1.2.4.
Original commitRevision:351947 
13:25 tijl search for other commits by this committer
When linking a library libA with a library libB using libtool, if libB.la
exists, libtool will add all libraries libB.la refers to (dependency_libs
field) to the linker command line and store them in the dependency_libs
field of libA.la.  So everything that subsequently links with libA will also
link to these extra libraries.  This causes too much overlinking.

This commit modifies Mk/Uses/libtool.mk so it empties the dependency_libs
field in .la libraries during staging.  However, because .la libraries have
very limited use when dependency_libs is empty it makes sense to completely
remove them during staging.

So with this commit USES=libtool is modified to remove .la libraries and a
new form (USES=libtool:keepla) is introduced in case they need to be kept
(dependency_libs is still emptied).

PORTREVISION is bumped on all ports with USES=libtool that install .la
libraries.  Most ports are also changed to add :keepla because .la
libraries have to be kept around as long as there are dependent ports with
.la libraries that refer to them in their dependency_libs field.  In most
cases :keepla can be removed again as soon as all dependent ports that
install .la libraries have some form of USES=libtool added to their
Makefile.

PR:		ports/188759
Exp-run:	bdrewery
Approved by:	portmgr (bdrewery)
Original commitRevision:351936 
Tuesday, 25 Feb 2014
20:26 kwm search for other commits by this committer
Update gstreamer to 1.2.3.

Switch from USE_GNOME=ltverhack to USES=libtool
Original commitRevision:346072 
Wednesday, 5 Feb 2014
15:53 bapt search for other commits by this committer
Chase libmad changes
Original commitRevision:342735 
Friday, 1 Nov 2013
22:14 kwm search for other commits by this committer
Stagify Gstreamer ports.
Fix build of gstreamer and gstreamer1 with glib 2.38.x [1].
Update gstreamer and gstreamer-plugins to new rules, USES=gmake pathfix,
new LIB_DEPENDS syntax.
Only pull in flex if base version is too old.
Be more selective for which OSVERSIONS we need gcc due to the clang bug.

Obtained from:	Gstreamer upstream [1]
Original commitRevision:332416 
Friday, 20 Sep 2013
14:36 bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
audio)
Original commitRevision:327706 
Saturday, 27 Apr 2013
20:56 kwm search for other commits by this committer
Add Gstreamer 1.0.7. This is the new stable version of the
Gstreamer multimedia framework.

Use the USE_GSTREAMER1 macro to select Gstreamer 1.0 plugins. A new chapter
for the porters handbook about gstreamer is a work in progress.

X related plugins are now stand alone. The gio plugin is now part of the
gstreamer1-plugins port and the oss plugins are now part of the
gstreamer1-plugins-good port.

Note that the pulseaudio plugin is missing because it needs a newer version
of pulseaudio. Also there are still a number of plugins from -bad which
haven't been ported to the 1.0 API yet.
Original commitRevision:316693 

Number of commits found: 11